This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1252936 - nettle: sha3 implementation does not conform to the published version
nettle: sha3 implementation does not conform to the published version
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: nettle (Show other bugs)
7.2
Unspecified Unspecified
high Severity unspecified
: rc
: ---
Assigned To: Nikos Mavrogiannopoulos
Hubert Kario
Mirek Jahoda
:
Depends On:
Blocks: 1296594 1297572 1313485 1298279
  Show dependency treegraph
 
Reported: 2015-08-12 10:30 EDT by Nikos Mavrogiannopoulos
Modified: 2016-11-03 15:30 EDT (History)
2 users (show)

See Also:
Fixed In Version: nettle-2.7.1-5.el7
Doc Type: Enhancement
Doc Text:
The SHA-3 implementation in _nettle_ now conforms to FIPS 202 _nettle_ is a cryptographic library that is designed to fit easily in almost any context. With this update, the Secure Hash Algorithm 3 (SHA-3) implementation has been updated to conform the final Federal Information Processing Standard (FIPS) 202 draft.
Story Points: ---
Clone Of:
: 1298465 (view as bug list)
Environment:
Last Closed: 2016-11-03 15:30:44 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Bugzilla 1252935 None None None Never

  None (edit)
Description Nikos Mavrogiannopoulos 2015-08-12 10:30:00 EDT
Description of problem:
The final version of SHA3 [0] does not match the original accepted version of keccak. The changes are trivial but nevertheless result to incompatible results [1].

[0]. http://nvlpubs.nist.gov/nistpubs/FIPS/NIST.FIPS.202.pdf
[1]. https://en.wikipedia.org/wiki/SHA-3#Examples_of_SHA-3_and_Keccak_variants
Comment 9 errata-xmlrpc 2016-11-03 15:30:44 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-2582.html

Note You need to log in before you can comment on or make changes to this bug.